%include	/usr/lib/rpm/macros.php
%define		_status		alpha
%define		_pearname	PEAR_RemoteInstaller
Summary:	%{_pearname} - PEAR Remote installation plugin through FTP
Summary(pl.UTF-8):	%{_pearname} - wtyczka do zdalnej instalacji PEAR poprzez FTP
Name:		php-pear-%{_pearname}
Version:	0.3.2
Release:	1
License:	PHP License
Group:		Development/Languages/PHP
Source0:	http://pear.php.net/get/%{_pearname}-%{version}.tgz
# Source0-md5:	27a510eae4ce30bd7e35cd81e72a5613
URL:		http://pear.php.net/package/PEAR_RemoteInstaller/
BuildRequires:	php-pear-PEAR >= 1:1.5.0-0.RC1
BuildRequires:	rpm-php-pearprov >= 4.4.2-11
BuildRequires:	rpmbuild(macros) >= 1.300
Requires:	php-pear
Suggests:	php-pecl-ssh2
BuildArch:	noarch
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
Originally part of the 1.4.0 new features, remote installation through
FTP, FTPS and SFTP is now its own package. This package adds the
commands "remote-install" "remote-upgrade" "remote-uninstall" and
"remote-upgrade-all" to the PEAR core.

To take advantage, you must have a config file on the remote ftp
server and full access to the server to create and remove files. The
config-create command can be used to get started, and the
remote_config configuration variable is set to the full URL as in
- ftp://ftp.example.com/path/to/pear.ini,
- ftps://user:pass@ftp.example.com/path/to/pear.ini,
- ssh2.sftp://user:pass@ftp.example.com/path/to/pear.ini"

After this is done, install/upgrade as normal using the remote*
commands as if they were local.

In PEAR status of this package is: %{_status}.

%description -l pl.UTF-8
Początkowo część instalatora PEAR 1.4.0, zdalna instalacja przy użyciu
FTP, FTPS lub SFTP jest teraz w osobnym pakiecie. Pakiet ten dostarcza
polecenia "remote-install", "remote-upgrade", "remote-uinnstall" oraz
"remote-upgrade-all" do głównej części PEAR.

Aby skorzystać z tej funkcjonalności, konieczne jest posiadanie pliku
konfiguracyjnego na zdalnym serwerze oraz możliwość tworzenia i
usuwania na nim plików. Polecenie "config-create" może być użyte, aby
rozpocząć, a w zmiennej remote_config powinna znajdować się pełna
ścieżka (URL), np:
- ftp://ftp.example.com/path/to/pear.ini,
- ftps://user:pass@ftp.example.com/path/to/pear.ini,
- ssh2.sftp://user:pass@ftp.example.com/path/to/pear.ini"

Gdy to będzie zrobione, możliwa jest instalacja/aktualizacja przy
użyciu poleceń remote* tak jakby operacje przeprowadzane były na
lokalnym repozytorium.

Ta klasa ma w PEAR status: %{_status}.

%prep
%pear_package_setup

%install
rm -rf $RPM_BUILD_ROOT
install -d $RPM_BUILD_ROOT%{php_pear_dir}
%pear_package_install

%clean
rm -rf $RPM_BUILD_ROOT

%post
if [ -f %{_docdir}/%{name}-%{version}/optional-packages.txt ]; then
	cat %{_docdir}/%{name}-%{version}/optional-packages.txt
fi

%files
%defattr(644,root,root,755)
%doc install.log
%doc optional-packages.txt
%{php_pear_dir}/.registry/*.reg
%{php_pear_dir}/PEAR/Command/Remoteinstall.xml
%{php_pear_dir}/PEAR/Command/Remoteinstall.php
%{php_pear_dir}/PEAR/FTP.php
%{php_pear_dir}/PEAR/RemoteInstaller.php
%changelog
* Tue Aug 28 2012 PLD Linux Team <feedback@pld-linux.org>
- For complete changelog see: http://git.pld-linux.org/?p=packages/php-pear-PEAR_RemoteInstaller.git;a=log;h=master

* Tue Aug 28 2012 Elan Ruusamäe <glen@delfi.ee> 8eb2ac8
- updated to: 0.3.2

* Sat Aug 21 2010 Elan Ruusamäe <glen@pld-linux.org> b55689c
- updated deps with pearize.sh
- release 2

* Fri Aug 20 2010 Elan Ruusamäe <glen@pld-linux.org> 16bcd3e
- updated to: 0.3.1

* Thu Jan 31 2008 Elan Ruusamäe <glen@pld-linux.org> 0aca0ef
- rel 2

* Tue Feb 13 2007 Elan Ruusamäe <glen@pld-linux.org> 4a7ff18
- tabs in preamble

* Mon Feb 12 2007 Jan Rękorajski <baggins@pld-linux.org> 7d8dee1
- converted to UTF-8

* Tue May 23 2006 Elan Ruusamäe <glen@pld-linux.org> 431e85f
- BR rpm-build macros >= 1.300 for %pear_ macros

* Fri Apr 28 2006 Jakub Bogusz <qboosh@pld-linux.org> a98e35d
- typo

* Mon Apr 24 2006 Elan Ruusamäe <glen@pld-linux.org> 768c056
- correct requires

* Mon Apr 24 2006 spider <spider@pld-linux.org> 9d68195
- typo fix

* Mon Apr 24 2006 Adam Gołębiowski <adamg@pld-linux.org> b7a9fe3
- new

